class TestVerify {
    /* 用户名校验 */
    userName(name) {
        if (name == "") {
            wx.showToast({
                title: '用户名不可为空!',
                icon: 'none'
            })
            return false;
        } else if (name.length < 2 || name.length > 8) {
            wx.showToast({
                title: '用户名在6-8位之间',
                icon: 'none'
            })
            return false;
        };
        return true;
    }

    /* 手机号校验 */
    phoneNumber(number, title) {
        //校验格式
        const regMobile = /^(0|86\17951)?(13[0-9]|15[0123456789]|17[678]|18[0-9]|14[57])[0-9]{8}$/;
        if (!regMobile.test(number)) {
            if (title) wx.showToast({
                title: '请输入正确手机号码',
                icon: 'none',
            })
            return false;
        }
        return true;
    }

    /* 必填项目/附件是否上传校验 */
    required(value, title) {
        if (value.length <= 1) {
            if (title) wx.showToast({
                title: title,
                icon: 'none'
            })
            return false;
        }
        return true;
    }
}
export {
    TestVerify
}